diff --git a/src/include/utils/pg_locale.h b/src/include/utils/pg_locale.h
index 2e6dba1..6363ca8 100644
--- a/src/include/utils/pg_locale.h
+++ b/src/include/utils/pg_locale.h
@@ -15,6 +15,10 @@
 #include <locale.h>
 #ifdef LOCALE_T_IN_XLOCALE
 #include <xlocale.h>
+#else
+#ifdef __FreeBSD__
+#include <xlocale.h>
+#endif
 #endif
 
 #include "utils/guc.h"
